com.microfocus.awm.core.internal.util

## Class AbstractConvertedToolExecutor

- java.lang.Object
- - com.microfocus.awm.core.internal.util.AbstractConvertedToolExecutor

- All Implemented Interfaces:
    IToolExecutor2
  Direct Known Subclasses:
    CheckOSFileExistence, ChildrenRefresherToolExecutor, CreateStaticElementListToolExecutor, EditCleanUpToolExecutor, ErrorFeedbackToolExecutor, LinkedPropertySetter, LocalFileCreatorToolExecutor, LocalFileLocatorToolExecutor, LocalTempFileCreatorToolExecutor, TransferFile, ValidateLineLength, ValidateValue

      public abstract class AbstractConvertedToolExecutor
      extends java.lang.Object
      implements IToolExecutor2

  An abstract `IToolExecutor2` which is used for converted tool executors.

  It was possible to define input parameters which did not contain an extension ID for any tool descriptor. This is no longer supported for the `IToolExecutor2` interface.

  This class provides methods which are called if a `RToolParameter` without an extension is used. Those methods provide the possibility to provide an extension ID for a parameter based on the given index of the parameter.

  Author:
    NicolasP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractConvertedToolExecutor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IToolContext` | `createToolContext(IExecutionContext pExecutionContext, ToolDescriptor pToolDescriptor, boolean pIsMassProcessing)` This method creates a `IToolContext`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IToolExecutor2

      `executeMassProcessing, executeSingleProcessing, init, supportsMassProcessing`

- - ### Constructor Detail

    - #### AbstractConvertedToolExecutor

          public AbstractConvertedToolExecutor()

  - ### Method Detail

    - #### createToolContext

          public IToolContext createToolContext(IExecutionContext pExecutionContext,
                                                ToolDescriptor pToolDescriptor,
                                                boolean pIsMassProcessing)
                                         throws TaurusToolException

      Description copied from interface: `IToolExecutor2`
      This method creates a `IToolContext`. By default an AWM internal `IMassProcessingToolContext` or single processing `IToolContext` is created.

      This method must return an `IMassProcessingToolContext`, if the isMassProcessing parameter is set to `true`. The support of mass processing can be disabled by returning `false` in the method `IToolExecutor2.supportsMassProcessing()`.

      Specified by:
        `createToolContext` in interface `IToolExecutor2`
      Parameters:
        `pExecutionContext` - the `IExecutionContext` which is used for the execution of the `ToolDescriptor`
        `pToolDescriptor` - the corresponding `ToolDescriptor`
        `pIsMassProcessing` - whether this `IToolExecutor2` should be executed as mass processing or not. If this parameter is set to `true`, this method has to return a `IMassProcessingToolContext`.
      Returns:
        the `IToolContext` which will be used for the execution of the `IToolExecutor2`.
      Throws:
        `TaurusToolException` - if an exception occurs while creating an `IToolContext`.

Copyright © 2015 Micro Focus GmbH. All rights reserved.